%define version 5.5.2

Name: maim
Version: %{version}
Release: 1%{?dist}
Summary: maim (make image) takes screenshots of your desktop

License: GPLv3
URL: https://github.com/naelstrof/maim

BuildRequires: pkgconfig(xext)
BuildRequires: pkgconfig(xfixes)
BuildRequires: pkgconfig(glew)
BuildRequires: pkgconfig(glm)
BuildRequires: pkgconfig(icu-uc)
BuildRequires: pkgconfig(xrender)
BuildRequires: pkgconfig(egl)
BuildRequires: pkgconfig(zlib)
BuildRequires: pkgconfig(libpng)
BuildRequires: pkgconfig(libjpeg)
BuildRequires: pkgconfig(xrandr)
BuildRequires: pkgconfig(xcomposite)
BuildRequires: git
BuildRequires: slop
BuildRequires: cmake make gcc-c++

Provides: maim

%description
maim (make image) takes screenshots of your desktop. It has options to take only a region, and relies on slop to query for regions. maim is supposed to be an improved scrot.

%prep
rm -rf maim
git clone https://github.com/naelstrof/maim --recursive -b v%{version}

%build
cd maim
cmake -DCMAKE_INSTALL_PREFIX="/usr" ./
make -j

%install
cd maim
%make_install

%check

%files
%{_bindir}/maim
%{_mandir}/man1/maim.1.*

%doc maim/README.md maim/maim.1

%license maim/COPYING